<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = '/replay';
    public function username()
    {
        return 'username';
    }

    /**
     * Create a new controller instance.
     *
     * @return void
     *
     */


    public function login_index(){
        return view('log_in',['title'=>'log_in']);
    }
    public function login(Request $request)
    {
        $login_user=User::where('name',$request->username)->first();
        return $login_user;
        if($login_user !== null){
            Auth::attempt(
                [
                    'name'=>$request->username,
                    'password'=>$request->password
                ]
            );
            return redirect('replay');
        }

        return view('log_in',['body'=>'dashboard','title'=>'log_in','msg'=>'帳號或密碼錯誤']);
    }


    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
}
